Bug 248636 - editors/nano: Update to 5.2
Summary: editors/nano: Update to 5.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Danilo Egea Gondolfo
URL: https://www.nano-editor.org/news.php
Keywords:
Depends on:
Blocks:
 
Reported: 2020-08-13 06:25 UTC by daniel.engberg.lists
Modified: 2020-08-31 15:36 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (danilo)


Attachments
Patch for nano (1.39 KB, patch)
2020-08-13 06:25 UTC, daniel.engberg.lists
no flags Details | Diff
Patch for nano v2 (1.39 KB, patch)
2020-08-25 10:57 UTC, daniel.engberg.lists
no flags Details | Diff
Patch for nano v3 (1.33 KB, patch)
2020-08-29 06:08 UTC, daniel.engberg.lists
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description daniel.engberg.lists 2020-08-13 06:25:13 UTC
Created attachment 217183 [details]
Patch for nano

Update nano to 5.1
Disable rpath
Remove unnecessary CONFIGURE_ENV variable, ncurses gets detected anyway
Remove post-patch, does nothing

Tested on FreeBSD 13.0-CURRENT r361421 (amd64)
Poudriere testport OK 12.1-RELEASE (amd64)
Comment 1 daniel.engberg.lists 2020-08-25 10:57:14 UTC
Created attachment 217519 [details]
Patch for nano v2

Update to 5.2
Comment 2 Danilo Egea Gondolfo freebsd_committer 2020-08-27 21:32:22 UTC
Hi, thank you for your patch.

Can you explain why the parameter --disable-rpath is necessary here? I don't think it will make any difference for us but it would be nice to have a reason to put it there.

Thanks!
Comment 3 daniel.engberg.lists 2020-08-29 06:08:19 UTC
Created attachment 217608 [details]
Patch for nano v3

On second thought, don't remove rpath as this may clash with libraries in ports vs base.
Comment 4 commit-hook freebsd_committer 2020-08-31 11:59:23 UTC
A commit references this bug:

Author: danilo
Date: Mon Aug 31 11:59:10 UTC 2020
New revision: 547169
URL: https://svnweb.freebsd.org/changeset/ports/547169

Log:
  - Update to 5.2
  - Replace CONFIGURE_ENV by USES=pkgconfig. pkg-config will set the ncurses path properly if the user has it installed via ports

  PR:		248636

Changes:
  head/editors/nano/Makefile
  head/editors/nano/distinfo
Comment 5 Danilo Egea Gondolfo freebsd_committer 2020-08-31 12:03:38 UTC
Committed (a slightly different patch).

The post-patch is actually preventing groff to be called unnecessarily by the configure script so I decided to keep it for now.

Thanks!
Comment 6 daniel.engberg.lists 2020-08-31 15:36:34 UTC
Thanks although I don't think that's ideal as it will pick of different versions depending on what's installed.